/*
 * RuntimeArgumentsAnalyzeException.java
 * Copyright (C) 2008 Cyber Beans Corporation. All rights reserved.
 */
package jp.co.cybec.cb3.exception;

/**
 * フレームワーク起動時の引数が間違っている場合に発生するエラー。
 * @author Naoko Sugimoto
 */
public class RuntimeArgumentsAnalyzeException extends ServiceRuntimeException {

	/**
	 * シリアルバージョンUID
	 */
	private static final long serialVersionUID = -8475786947494975520L;

	/**
	 * コンストラクタ。
	 * @param cause 発生元の例外
	 */
	public RuntimeArgumentsAnalyzeException(Exception cause) {
		super(cause);
	}

	/**
	 * コンストラクタ。
	 * @param msg メッセージ
	 */
	public RuntimeArgumentsAnalyzeException(String msg) {
		super(msg);
	}

	/**
	 * コンストラクタ。
	 * @param msg メッセージ
	 * @param cause 発生元の例外
	 */
	public RuntimeArgumentsAnalyzeException(String msg, Exception cause) {
		super(msg, cause);
	}
}
